/*
 * $Id: debug.c,v 1.1 1998/06/15 04:18:40 elkner Exp $
 *
 * Author:  Jens Elkner            elkner@ivs.cs.uni-magdeburg.de
 * Project: Jesalfa     http://ivs.cs.uni-magdeburg.de/~elkner/webtools/jesalfa/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * http://www.gnu.org/copyleft/gpl.html or ./gpl.html
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#include <stdio.h>
#include <stdarg.h>
#include <sys/time.h>

#include "main.h"
#include "debug.h"

static const char *const w_space = " \t\n\r";
static void GetCurrentTime (char *);

/* 1 parse rc file (fparse.c) */
/* 2 parse access log (fparse.c) */
/* 3 register TLD/SLD information (server.c) */
/* 4 TLD/SLD stack [de]allocation (results.c) */
/* 5 IP_ACL check (fparse.c) */
/* 999 memory [de]allocation via malloc */

void _db_print (int id, const char *format,...)
{
    va_list args;
    char f[BUFSIZE];
    char buf[128];
    
    if ((debuglevel != id) || (! errfd) )
        return;
    va_start(args, format);
    /* GetCurrentTime(buf); */
    sprintf(f, "%s\n", /* buf, */ format);
    vfprintf(errfd, f, args);
    fflush(errfd);
    va_end(args);
}

static void
GetCurrentTime(char *buf)
{
    struct tm *tm;
    struct timeval current_time;

    gettimeofday(&current_time, NULL);
    tm = localtime(&current_time.tv_sec);
    strftime(buf, 127, "%y/%m/%d %H:%M:%S", tm);
}





