/*
 * $Id: register.h,v 1.1 1998/06/15 04:16:48 elkner Exp $
 *
 * Author:  Jens Elkner            elkner@ivs.cs.uni-magdeburg.de
 * Project: Jesalfa     http://ivs.cs.uni-magdeburg.de/~elkner/webtools/jesalfa/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * http://www.gnu.org/copyleft/gpl.html or ./gpl.html
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef TREEFUN_H
#define TREEFUN_H

extern int maxlogtypegrpid;

extern tree *tld_root;
extern int maxtld;
extern int maxtldlen;
extern int maxsld;
extern int maxsldlen;

extern tree *ctld_root;
extern int maxctld;
extern int maxctldlen;
extern int maxcsld;
extern int maxcsldlen;

extern tree *xsld_root;
extern int maxxsld;
extern int maxxsldlen;

extern tree *psld_root;
extern int maxpsld;
extern int maxpsldlen;

typedef struct tld_s {
    char *name;
    tree *sld_root;
} t_tld;

typedef struct hitsize_s{
    unsigned int no;
    unsigned long long bytes;
} t_hitsize;

typedef struct sld_s {
    char *name;
    char *tld_name;
    int lineno;
    t_hitsize *hitsize;
} t_sld;

typedef enum {
    IP,
    CONTENT,
    EXT,
    PROTO
} stat_type;


extern int lineno;
extern t_hitsize udp;
extern int RegisterServer(const char *, int, int, int);
extern int RegisterContent(const char *, int, int);
extern int RegisterExtension(const char *, int, int);
extern int RegisterProto(const char *, int, int);
extern int RegisterTLD(const char*, stat_type);
extern int CleanTLDs(tree **);
extern int CleanSLDs(tree **);
extern void DeleteEmptyTLDs(void);
extern t_sld *NewSLD(const char *, stat_type);
extern void DeleteSLD(t_sld *);
#endif


