/*
 * $Id: utils.h,v 1.1 1998/06/15 04:15:32 elkner Exp $
 *
 * Author:  Jens Elkner            elkner@ivs.cs.uni-magdeburg.de
 * Project: Jesalfa     http://ivs.cs.uni-magdeburg.de/~elkner/webtools/jesalfa/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * http://www.gnu.org/copyleft/gpl.html or ./gpl.html
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#include "sys/time.h"

#ifndef UTIL_H
#define UTIL_H

typedef struct wordlist_s {
    char *key;
    struct wordlist_s *next;
} t_wordlist;

typedef int (*QS) (const void *, const void *);

extern char *savestr(const char *);
extern void delstr(const char *);
extern void GetTimeDiff(struct timeval *,struct timeval *, char *);
extern void SetStartTime(void);
extern void SetStopTime(void);
extern void DeleteWordList(t_wordlist *);
extern int GetLocalAsciiTime(char *);
extern void Num2Str(unsigned long long, char *);

extern void memadd(int, const char *);
extern void memdel(int, const char *);
extern long memusage;
extern long maxmem;

extern struct timeval starttime;
extern struct timeval stoptime;
#endif
